package com.skywang.control;

import android.os.Bundle;
import android.app.Activity;
import android.view.Menu;
import android.view.View;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.view.View.OnClickListener;
import android.util.Log;

public class CheckBoxTest extends Activity implements View.OnClickListener{
	
	private static final String TAG = "SKYWANG";
	
	private CheckBox mCheckTwo;
	private CheckBox mCheckThree;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.check_box_test);
        
        // 设置CheckBox
        mCheckTwo = (CheckBox) findViewById(R.id.check_two);
        // 设置CheckBox监听函数
        mCheckTwo.setOnClickListener(this);
        
        // 设置CheckBox
        mCheckThree = (CheckBox) findViewById(R.id.check_three);
        // 设置CheckBox的check监听函数
        mCheckThree.setOnCheckedChangeListener(new CompoundButton.OnCheckedChangeListener(){
        	public void onCheckedChanged(CompoundButton buttonView, boolean isChecked){
        		if (isChecked) {
        			// 若按钮是选中状态；则设置按钮的文本为“SELECTED”
        			buttonView.setText(getString(R.string.text_sel));
        		} else {
        			// 若按钮是未选中状态；则设置按钮的文本为“UN-SELECTED”
        			buttonView.setText(getString(R.string.text_unsel));
        		}
        	}
        });
    }
    
    @Override
    public void onClick(View v) {
    	switch (v.getId()) {
	    	case R.id.check_two: {
		    	if (mCheckTwo.isChecked()) {
		    		// 若按钮是选中状态；则设置按钮的文本为“SELECTED”
		    		mCheckTwo.setText(getString(R.string.text_sel));
	    		} else {
	    			// 若按钮是未选中状态；则设置按钮的文本为“UN-SELECTED”
	    			mCheckTwo.setText(getString(R.string.text_unsel));
	    		}
	    		break;	
	    	}
	    	default:
	    		break;
    	}
    }
}
